.presale-wrapper {
  margin-bottom: 19px;
}

.presale-bar {
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgb(235, 72, 62);
  border-radius: 5px;
  background: -moz-linear-gradient(
    90deg,
    rgba(235, 72, 62, 1) 0%,
    rgba(240, 150, 60, 1) 100%
  );
  background: -webkit-linear-gradient(
    90deg,
    rgba(235, 72, 62, 1) 0%,
    rgba(240, 150, 60, 1) 100%
  );
  background: linear-gradient(
    90deg,
    rgba(235, 72, 62, 1) 0%,
    rgba(240, 150, 60, 1) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#eb483e",endColorstr="#f0963c",GradientType=1);
}

.availability-value {
  display: flex;
}

.presale-first-bar-content p {
  margin: 0 !important;
  padding: 10px 0 10px 0 !important;
  font-size: 20px;
}

.presale-bar-second {
  margin-top: 7px;
  border-radius: 5px;
}

.presale-second-bar-content p {
  margin: 0 !important;
  padding: 15px 0 15px 0 !important;
  font-size: 22px;
}

.presale-code-copy-icon {
    font-size: large;
    height: 15px;
    font-weight: bold;
    padding-left: 6px;
    color: #fff;
    cursor: pointer;
}

.presale-info {
  padding: 3px 5px;
  font-size: 16px;
}

.presale-tooltip {
  position: relative;
}

.presale-tooltip .presale-tooltiptext {
  visibility: hidden;
  width: 300px;
  background-color: rgba(0, 0, 0, 0.6);
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;

  position: absolute;
  z-index: 1;
  top: 100%;
  left: 50%;
  margin-left: -60px;
}

.presale-tooltip:hover .presale-tooltiptext {
  visibility: visible;
}

.pulse {
  animation: blink 1.5s infinite;
}

.presale-product-in-catalog-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
}

.presale-product-in-catalog{
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-size: 16px;
  gap: 4px;
  width: 80%;
  max-width: 400px;
  background: rgb(235, 72, 62);
  background: -moz-linear-gradient(
    90deg,
    rgba(235, 72, 62, 1) 0%,
    rgba(240, 150, 60, 1) 100%
  );
  background: -webkit-linear-gradient(
    90deg,
    rgba(235, 72, 62, 1) 0%,
    rgba(240, 150, 60, 1) 100%
  );
  background: linear-gradient(
    90deg,
    rgba(235, 72, 62, 1) 0%,
    rgba(240, 150, 60, 1) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#eb483e",endColorstr="#f0963c",GradientType=1);
  padding: 10px;
  border-radius: 5px;
  margin-top: 10px;
}

@keyframes blink {
  0%,
  50% {
    opacity: 1;
  }
  51%,
  100% {
    opacity: 0;
  }
}

@media (max-width: 500px) {
  .presale-tooltiptext{
    width: 200px !important;
  }

  .presale-first-bar-content p {
    font-size: 16px !important;
  }

  .presale-second-bar-content p {
    font-size: 18px !important;
  }

  .presale-product-in-catalog {
    width: 90%;
    gap: 0;
    max-width: 300px;
    flex-direction: column;
  }

  .presale-product-separator{
    display: none;
  }
}